function p = psnr(f,g)
% Berechnet PSNR-Wert von zwei Bildern
% f - zugrunde liegendes Originalbild (Referenzbild)
% g - entweder gest?rtes Bild u oder entst?rtes Bild f^k

% ACHTUNG: Hier wird stets der maximal m?gl. Bildwert (255) verwendet!

[N1,N2] = size(f);

z=(f-g).^2;
MSE = sum(sum(z))/(N1*N2);

p = 10*log10((255)^2/MSE);